> ## Documentation Index
> Fetch the complete documentation index at: https://docs.graphiant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /v2/integration/{integrationId}

## OpenAPI

````json PUT /v2/integration/{integrationId}
{
  "openapi": "3.0.0",
  "info": {
    "title": "Graphiant APIs",
    "version": "1.0.0",
    "description": "Graphiant API documentation."
  },
  "servers": [
    {
      "url": "https://api.graphiant.com"
    }
  ],
  "security": [
    {
      "jwtAuth": []
    }
  ],
  "tags": [],
  "paths": {
    "/v2/integration/{integrationId}": {
      "put": {
        "security": [
          {
            "jwtAuth": []
          }
        ],
        "parameters": [
          {
            "in": "header",
            "name": "Authorization",
            "required": true,
            "schema": {
              "type": "string"
            },
            "description": "Bearer token. Format: Bearer <your_token_here>"
          },
          {
            "name": "integrationId",
            "in": "path",
            "required": true,
            "description": "integration id",
            "schema": {
              "type": "integer",
              "format": "int64",
              "example": 1234567891011
            }
          }
        ],
        "requestBody": {
          "required": true,
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/v2IntegrationIntegrationIdPutRequest"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "OK",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/v2IntegrationIntegrationIdPutResponse"
                }
              }
            }
          }
        }
      }
    }
  },
  "components": {
    "schemas": {
      "v2IntegrationIntegrationIdPutRequest": {
        "type": "object",
        "properties": {
          "integrationBody": {
            "$ref": "#/components/schemas/alertserviceUpdateIntegrationBody"
          }
        },
        "additionalProperties": false,
        "required": [
          "integrationBody"
        ]
      },
      "v2IntegrationIntegrationIdPutResponse": {
        "type": "object",
        "properties": {},
        "additionalProperties": false
      },
      "alertserviceUpdateIntegrationBody": {
        "type": "object",
        "properties": {
          "details": {
            "$ref": "#/components/schemas/alertserviceIntegrationDetails"
          },
          "enterprise": {
            "type": "integer",
            "format": "int64",
            "example": 1234567891011,
            "description": "ID of the enterprise (required)"
          },
          "integrationType": {
            "type": "string",
            "example": "ENUM_VALUE",
            "description": "Type of integration (required)"
          },
          "isActive": {
            "type": "boolean",
            "example": true,
            "description": "Indicates whether the integration is active"
          },
          "nickName": {
            "type": "string",
            "example": "example string",
            "description": "nick name of the integration (required)"
          },
          "updatedBy": {
            "type": "string",
            "example": "example string",
            "description": "ID of the user who updated the integration"
          }
        },
        "additionalProperties": false,
        "required": [
          "enterprise",
          "integrationType",
          "nickName"
        ]
      },
      "alertserviceIntegrationDetails": {
        "type": "object",
        "properties": {
          "opsgenieKey": {
            "type": "string",
            "example": "example string"
          },
          "opsrampDetails": {
            "type": "string",
            "example": "example string"
          },
          "pagerdutyRoutingKey": {
            "type": "string",
            "example": "example string"
          },
          "webhookUrl": {
            "type": "string",
            "example": "example string"
          },
          "zendeskDetails": {
            "$ref": "#/components/schemas/alertserviceZendeskDetails"
          }
        },
        "additionalProperties": false
      },
      "alertserviceZendeskDetails": {
        "type": "object",
        "properties": {
          "zendeskApiToken": {
            "type": "string",
            "example": "example string",
            "description": "zendesk api token (required)"
          },
          "zendeskAssigneeId": {
            "type": "string",
            "example": "example string",
            "description": "zendesk assignee id (required)"
          },
          "zendeskBaseUrl": {
            "type": "string",
            "example": "example string",
            "description": "zendesk base url (required)"
          },
          "zendeskEmail": {
            "type": "string",
            "example": "example string",
            "description": "zendesk email (required)"
          }
        },
        "additionalProperties": false,
        "required": [
          "zendeskApiToken",
          "zendeskAssigneeId",
          "zendeskBaseUrl",
          "zendeskEmail"
        ]
      }
    },
    "securitySchemes": {
      "jwtAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "authorization",
        "description": "Use `Bearer <token>`"
      }
    }
  }
}
````

